# TODO: verify gdb pretty-printers location
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries

Summary:	Library for manipulating sets and relations of integer points bounded by linear constraints
Summary(pl.UTF-8):	Biblioteka operacji na zbiorach i relacjach punktów całkowitoliczbowych z ograniczeniami liniowymi
Name:		isl
Version:	0.21
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://isl.gforge.inria.fr/%{name}-%{version}.tar.xz
# Source0-md5:	12caf7eea20946c581ace61302b1c876
URL:		http://isl.gforge.inria.fr/
BuildRequires:	gmp-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with apidocs}
BuildRequires:	perl-base
BuildRequires:	perl-tools-pod
BuildRequires:	texlive-format-pdflatex
%endif
# clang can be used to generate interface/isl.py, which is not used afterwards
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints. Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, and computing the
lexicographic minimum using parametric integer programming. It also
includes an ILP solver based on generalized basis reduction.

%description -l pl.UTF-8
isl to biblioteka do operacji na zbiorach i relacjach punktów
całkowitoliczbowych z ograniczeniami liniowymi. Obsługiwane operacje
na zbiorach obejmują przecięcia, sumy, różnice, sprawdzanie, czy zbiór
jest pusty, wyznaczanie powłoki wypukłej, wyznaczanie
(całkowitoliczbowej) powłoki afinicznej, rzuty całkowitoliczbowe oraz
obliczanie minimum leksykograficznego przy użyciu parametrycznego
programowania liniowego. Biblioteka obsługuje także rozwiazywanie
całkowitoliczbowych problemów liniowych w oparciu o redukcję bazy.

%package devel
Summary:	Header files for isl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki isl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gmp-devel

%description devel
Header files for isl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki isl.

%package static
Summary:	Static isl library
Summary(pl.UTF-8):	Statyczna biblioteka isl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static isl library.

%description static -l pl.UTF-8
Statyczna biblioteka isl.

%package apidocs
Summary:	isl API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki isl
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API and internal documentation for isl library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki isl.

%package gdb
Summary:	GDB Python pretty printers for isl types
Summary(pl.UTF-8):	Skrypty Pythona dla GDB do ładnego wypisywania typów isl
Group:		Development/Debuggers
Requires:	gdb

%description gdb
GDB Python pretty printers for most of isl objects.

%description gdb -l pl.UTF-8
Skrypty Pythona dla GDB do ładnego wypisywania większości obiektów
isl.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load/usr/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/libisl.so.*.*.*-gdb.py $RPM_BUILD_ROOT%{_datadir}/gdb/auto-load/usr/%{_lib}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libisl.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libisl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libisl.so.21

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libisl.so
%{_includedir}/isl
%{_pkgconfigdir}/isl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libisl.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/manual.pdf
%endif

%files gdb
%defattr(644,root,root,755)
%{_datadir}/gdb/auto-load/usr/%{_lib}/libisl.so.*.*.*-gdb.py
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/isl.git;a=log;h=master

* Fri Oct 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 02da0eb
- updated to 0.21 (note: new soname)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 31e88d6
- updated to 0.19 (note: new soname)

* Mon Jun 12 2017 Jakub Bogusz <qboosh@pld-linux.org> fb72ef9
- updated to 0.18

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> ecc9c1a
- updated to 0.17.1 (note: 0.16.1 officially supported by gcc 5/6 left on isl-0.16 branch; 0.17.x should be compatible though)

* Tue May 10 2016 Jakub Bogusz <qboosh@pld-linux.org> af91339
- updated to 0.16.1

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 29c1b0a
- updated to 0.15 (note: new soname; for gcc 5.1/5.2 or so)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cc881d9
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 15 2015 Jakub Bogusz <qboosh@pld-linux.org> ffae7c4
- updated to 0.14

* Fri Apr 18 2014 Jakub Bogusz <qboosh@pld-linux.org> e6c3b41
- updated to 0.13 (note: new soname; piplib support dropped)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 775d59d
- noarch apidocs

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 17de6a2
- new Source0 URL, updated to 0.12.2

* Wed Aug 21 2013 Jakub Bogusz <qboosh@pld-linux.org> a88c6b7
- updated to 0.12.1

* Tue Jul 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 3d3bfcf
- updated to 0.12

* Sat Apr 13 2013 Jakub Bogusz <qboosh@pld-linux.org> b40319d
- updated to 0.11.2

* Thu Dec 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e3fc5e
- updated to 0.11.1

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 95dde1c
- updated to 0.11; relicensed to MIT

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> f8a77da
- updated to 0.10 (note: new soname)

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 364cc5e
- move gdb pretty printer to gdb auto-load dir, so it's not packaged in base and doesn't cause ldconfig warnings

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 0267229
- package gdb pretty printers

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 8f2175c
- use piplib solver instead of stubs

